interface MakeOptions {
	algorithm?: "bcrypt" | "base64" | "argon2";
	type?: "argon2id" | "argon2i" | "argon2d";
}
declare function make(password: string, options?: MakeOptions): Promise<string>;
type Algorithm = "bcrypt" | "base64" | "argon2";
declare function verify(password: string, hash: string, algorithm?: Algorithm): Promise<boolean>;
export declare function bcryptEncode(password: string): Promise<string>;
export declare function argon2Encode(password: string, options?: { type: "argon2id" | "argon2i" | "argon2d" }): Promise<string>;
export declare function argon2Verify(password: string, hash: string): Promise<boolean>;
export declare function bcryptVerify(password: string, hash: string): Promise<boolean>;
export declare function base64Encode(password: string): string;
export declare function base64Verify(password: string, hash: string): boolean;
export declare function md5Encode(password: string): CryptoJS.lib.WordArray;
export { make as makeHash, verify as verifyHash };
